<?php

namespace App\Entities\Part;

use App\Models\Part\SOFTWAREModel;

class SOFTWAREEntity extends PartEntity
{
    const PK    = SOFTWAREModel::PK;
    const TITLE = SOFTWAREModel::TITLE;
    const DEFAULT_STATUS    = STATUS['AVAILABLE'];
    //기본기능    
    final public function getStock(): int
    {
        return $this->attributes['stock'];
    }
}
